class CPU {
  private:
    static int cpu_id;
    int cid;
    Task *old_exec;
    WaitObject *idleStat;
  protected:
    Task *current;	// Used by Server
  public:
    CPU(void) {idleStat = NULL; current = NULL; cid = cpu_id++;};
    CPU(WaitObject *s) {idleStat = s; current = NULL; cid = cpu_id++;};
    virtual ~CPU(void) {};
    Task *exec(void) {return current;};
    void prepare_dispatch(Task *task, long long int t);
    void finish_dispatch(long long int t);
    virtual void dispatch_task(Task *task, long long int t);
}; 
