#ifndef __EDF_H__
#define __EDF_H__

#define EDF(c, k) class c: public k 			\
{							\
  public:						\
    c(CPU *cpu) : k(cpu) {}                             \
    virtual void unblock(Task *task, long long int t) {	\
      task->setPriority(-task->getAbsDeadline());	\
      k::unblock(task, t);				\
    }							\
};

#define EDFM(c, k) class c: public k 			\
{							\
  public:						\
    c(CPU *cpus, int n): k(cpus, n) {}					\
    virtual void unblock(Task *task, long long int t) {	\
      task->setPriority(-task->getAbsDeadline());	\
      k::unblock(task, t);				\
    }							\
};

#define EDFMD(c, k) class c: public k 			\
{							\
  public:						\
    c(CPU *cpus, int n, EventList *l): k(cpus, n, l) {}			\
    virtual void unblock(Task *task, long long int t) {	\
      task->setPriority(-task->getAbsDeadline());	\
      k::unblock(task, t);				\
    }							\
};

#endif	/* __EDF_H__ */
