#ifndef __GMQPRIORITYKERNEL_H__
#define __GMQPRIORITYKERNEL_H__

class GMQPriorityKernel: public MQPriorityKernel
{
  protected:
    void push(Task *task);
    void pull(int cpu, long long int t);
  public:
    virtual void unblock(Task *task, long long int t);
    virtual void block(Task *task, long long int t);
    GMQPriorityKernel(CPU *cpu, int m) : MQPriorityKernel(cpu, m) {};
};

#endif	/* __GMQPRIORITYKERNEL_H__ */
