#ifndef HCBSERVER2R_H
#define HCBSERVER2R_H

class HCBServer2Revised : public HCBServer2
{
  private:
    double genq(unsigned int q, long long int d, long long int t);
    double dbf2(long long int t, HCBServer2Revised *pi, HCBServer2Revised *pk);
  public:
    HCBServer2Revised(unsigned int max_budget, unsigned int deadline, unsigned int period, Kernel *k, EventList *l) : HCBServer2(max_budget, deadline, period, k, l) {
    };
    virtual void dispatch_task(Task *task, long long int t);
};

#endif	/* HCBSERVER2R_H */


