#ifndef HCBSERVER3_H
#define HCBSERVER3_H

class HCBServer3 : public CBServer
{
  protected:
    const unsigned int D;
    long long int last_deactivation_time;
    Event *replenish;
  public:
    HCBServer3(unsigned int max_budget, unsigned int deadline, unsigned int period, Kernel *k, EventList *l) : CBServer(max_budget, period, k, l),D(deadline) {
      last_deactivation_time = -1;
    };
    virtual void action(long long int time, Event *e);
    virtual void dispatch_task(Task *task, long long int t);
};

#endif	/* HCBSERVER_H */

