#ifndef __KERNEL_H__
#define __KERNEL_H__

class Task;
class Kernel {
  public:
    virtual void unblock(Task *task, long long int t) = 0;
    virtual void block(Task *task, long long int t) = 0;
    virtual ~Kernel(void) {};
};

#endif	/* __KERNEL_H__ */
