#ifndef __MPPRIORITYKERNEL_H__
#define __MPPRIORITYKERNEL_H__

class MPPriorityKernel: public Kernel
{
  private:
    CPU *cpu;
    PriorityQueue ready;
    Task *schedule(void);
    int n_cpus;
  public:
    virtual void unblock(Task *task, long long int t);
    virtual void block(Task *task, long long int t);
    MPPriorityKernel(CPU *c, int m);
    ~MPPriorityKernel(void);
};

#endif	/* __MPPRIORITYKERNEL_H__ */
