class LimitStat : virtual public StatObject
{
  private:
    int *limits;
    unsigned int limits_dim;
    int *limits_hit;
    unsigned int hit_count;
    unsigned int total;
  public:
    LimitStat(int lim);
    LimitStat(int *lims, int dim);
    int* getLimits(void);
    int getLimitsDim(void);
    double* getHitRatio(void);
    double getMissRatio(void);
    int getTotal(void);
    void submit(double val);
};
