#ifndef STAT_H
#define STAT_H

class Stat : virtual public StatObject {
  private:
    double avg;
    double min;
    double max;
    double m2;
    int n;
  protected:
    virtual void submit(double val);
  public:
    Stat(void);
    double getMax(void) const;
    double getMin(void) const;
    double getAverage(void) const;
    double getVariance(void) const;
    int    getNum(void) const;
    double getConfidence(int conf) const;
};

#endif /* STAT_H */
