#include <iostream>
#include <sstream>
#include <fstream>
#include <cstring>
#include <cstdint>

#include "tracer.hh"

Tracer::Tracer(const char *name)
{
  out = new std::ofstream(name);
}

Tracer::Tracer(uint8_t *buff, int buffsize)
{
  std::stringbuf *pbuf;
  std::stringstream *p = new std::stringstream;

  out = p;
  pbuf = p->rdbuf();
  pbuf->pubsetbuf((char *)buff, buffsize);
  memset(buff, 0, buffsize);
}

Tracer::~Tracer()
{
  delete out;
}
