#!/bin/bash

mydir=$(realpath $(dirname $0))

. runcommon.sh

export SZ
export U
export cr
export alpha

for SZ in $SZS; do
    echo "Starting with sz=$SZ"
    for cr in $CRS; do
	echo "Starting with cr=$cr"
	for alpha in $ALPHAS; do
	    echo "Starting with alpha=$alpha"
	    for U in $UTILS; do
		dirname=run-sz$SZ-cr$cr-a$alpha-u$U
		echo "Starting exp in dirname=$dirname ..."
		mkdir -p $dirname
		cd $dirname
		cp ../runcommon.sh .
		$mydir/generate.sh 2>&1 | tee >> log.txt
		$mydir/simulate.sh 2>&1 | tee >> log.txt &
		cd ..
	    done
	done
    done
done
echo "Waiting for spawned children..."
wait
