#include <stdlib.h>
#include <stdio.h>

int main(int argc, char *argv[])
{
  unsigned int i, min, max;

  if (argc < 3) {
    fprintf(stderr, "Usage: %s <min> <max>\n", argv[0]);

    return -1;
  }

  min = atoi(argv[1]);
  max = atoi(argv[2]);
  for (i = min; i < max; i++) {
    printf("%u %15.13f %15.13f\n", i, 1.0 / (max - min), (i + 1 - min) * (1.0 / (max - min)));
  }

  return 0;
}
