#ifndef __MQPRIORITYKERNEL_H__
#define __MQPRIORITYKERNEL_H__

class MQPriorityKernel: public Kernel
{
  protected:
    PriorityKernel **q;
    CPU *cpus;
    int n_cpus;
  public:
    virtual void unblock(Task *task, long long int t);
    virtual void block(Task *task, long long int t);
    MQPriorityKernel(CPU *c, int m);
    ~MQPriorityKernel(void);
};

#endif	/* __MQPRIORITYKERNEL_H__ */
