#ifndef SERVER_H
#define SERVER_H

class Server : public CPU, public Task
{
  private:
    bool active;
    static int serv_id;
  public:
    Server(Kernel *k, EventList *l);

    /* Inherited from Task */
    virtual void action(long long int time, Event *e);
    virtual void dispatch(long long int t);
    virtual void preempt(long long int t);

    /* Inherited from CPU*/
    virtual void dispatch_task(Task *task, long long int t);
    ~Server(void);
};

#endif	/* SERVER_H */
