#ifndef DEADLINESTAT_H
#define DEADLINESTAT_H

class Dl : virtual public StatObject
{
  private:
    int deadline;
    int missed_deadline;
    int total;
  protected:
    virtual void submit(double val);
  public:
    Dl(int dl) {
      deadline = dl;
      missed_deadline = 0;
      total = 0;
    };
    int getDeadLine(void);
    int getTotal(void);
    double getMissRatio(void);
};

class DeadlineStat : public Dl, public WaitObject {
  public:
    DeadlineStat(int dl) : Dl(dl) {
    }
};


#endif	/* DEADLINESTAT_H */
