#include "simobject.hh"
#include "queuableentity.hh"
#include "priorityqueue.hh"
#include "event.hh"
#include "eventlist.hh"
#include "periodicevent.hh"

PeriodicEvent::PeriodicEvent(int o, long long int p, EventList *l) : Event(o)
{
  period = p;
  list = l;
  list->insert(this);
}

int PeriodicEvent::doit(void)
{
  Event::doit();
  time += period;
  list->insert(this);

  return 0;
}
