#ifndef POISSONVAR_H
#define POISSONVAR_H

class PoissonVar: public RandomVar {
  private:
    double mean;
    long long int fact(unsigned int n);
  public:
    PoissonVar(double rt);
    virtual long long int sample(void);
    virtual void dump(char *buff);
};

#endif	/* POISSONVAR_H */
