#ifndef RANDOMVAR_H
#define RANDOMVAR_H

class RandomVar {
  public:
    virtual long long int sample(void) = 0;
    virtual ~RandomVar() {};
    virtual void dump(char *buff) = 0;
};

class Delta: public RandomVar {
  private:
    long long int val;
  public:
    Delta(long long int v) {val = v;};
    virtual long long int sample(void) {return val;}
    virtual void dump(char *buff);
};

#endif	/* RANDOMVAR_H */

