#include "simobject.hh"
#include "queuableentity.hh"
#include "priorityqueue.hh"
#include "event.hh"
#include "eventlist.hh"
#include "randomvar.hh"
#include "sporadicevent.hh"

SporadicEvent::SporadicEvent(int o, RandomVar *t, EventList *l) : Event(o)
{
  ia = t;
  list = l;
  list->insert(this);
}

int SporadicEvent::doit(void)
{
  Event::doit();
  time += ia->sample();
  list->insert(this);

  return 0;
}
