#ifndef TXT_TRACER_H
#define TXT_TRACER_H

class TxtTracer: public Tracer {
  public:
    TxtTracer(const char *name) : Tracer(name) {};
    TxtTracer(uint8_t *buff, int buffsize) : Tracer(buff, buffsize) {};
//    virtual ~TxtTracer();

    virtual void TaskCreate(int pid, const char *name, uint64_t time);
    virtual void TaskDispatch(int pid, int cpu, uint64_t time);
    virtual void TaskPreempt(int pid, uint64_t time);
    virtual void JobStart(int pid, uint64_t time);
    virtual void JobFinish(int pid, uint64_t time);
};

#endif	/* TXT_TRACER_H */
