#include <sstream>
#include <random>

#include "randomvar.hh"
#include "uniformvar.hh"

UniformVar::UniformVar(int lowbound, int upbound) 
{
  lowerbound = lowbound;
  upperbound = upbound;
}

long long int UniformVar::sample(void)
{
  return rand() % (upperbound - lowerbound + 1) + lowerbound;
}

void UniformVar::dump(char *buff)
{
  std::stringstream out;

  out.rdbuf()->pubsetbuf(buff, 32/*FIXME!*/);
  out << "[" << lowerbound << "," << upperbound << "]";
}
