#include "statobject.hh"
#include "stat.hh"
#include "waitobject.hh"

int WaitObject::start(long long int t)
{
  if (start_time >= 0) {
    return -1;
  }
  start_time = t;

  return 0;
}

long long int WaitObject::end(long long int t)
{
  long long int res;

  if (start_time < 0) {
    return -1;
  }
  if (start_time > t) {
    return -2;
  }
  res = t - start_time;
  submit(res);
  start_time = -1;

  return res;
}

